Skip to main content
GET
/
http_loggers
/
{id}
/
data
Get the data for a logger
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/http_loggers/{id}/data \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "requests": [
      {
        "id": 321443,
        "ip_address": "212.65.54.23",
        "request_method": "<string>",
        "url_params": "username=jamesbond",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.101 Safari/537.36 Edg/91.0.864.48",
        "os": "Windows 10 x64",
        "http_headers": [
          "<string>"
        ],
        "request_body_type": "binary",
        "request_body_base64": "<string>",
        "request_date": "2021-06-14 15:40:52"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://pentest-tools.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Path Parameters

id
integer
required

id of the logger

Response

OK

data
object
required